'' Test Qtis with RC Decay Object Method.spin 

CON

  _xinfreq = 5_000_000                          
  _clkmode = xtal1 + pll16x

  CLREOL   = 11
  HOME     = 1

VAR

  long time
  long us

OBJ

  rc    : "Rc Decay"
  debug : "FullDuplexSerial"

PUB TestDecayMethod

  us := clkfreq / 1_000_000
  debug.start(31, 30, %0000, 9600)

  repeat

    debug.tx(HOME)
    time := rc.decay(16)
    debug.dec(time / us)
    debug.tx(" ")
    time := rc.decay(17)
    debug.dec(time / us)
    debug.str(string(" us"))
    debug.tx(CLREOL)
    waitcnt(clkfreq/4 + cnt)